Subject: Re: Microwindows on Icecube/CoralP

From: "Mark Chambers" <[email-masked]>
Date: Mon, 7 Feb 2005 15:30:41 -0500

> 
> This will not work. Microwindows can only  use  a  plain  framebuffer
> interface,  but  the Coral-P does not allow for such a driver because
> of the fact that it has a little-endian register interface.  

Or is it because 5200 swaps bytes around on PCI.  It sure looks to me
like Freescale has made a major screwup in their implementation of
PCI on the 5200.  I'd love for somebody to prove me wrong about this,
but I'm afraid I'm right.  I was under the impression that CoralP worked
nicely on 5200, but now I see that it also requires software tweaks to work
on 5200.  

Mark Chambers